Updates the device with the given device ID and device information

Prev Next
Patch
/api/v1/devices/{deviceId}
Security
HTTP
Type bearer
Path parameters
deviceId
integerRequired

The ID of the device to modify

Body parameters

The description and location attributes of the device.

Expand All
object
description
string
ExampleDevice description
hostname
string
icon
object
name
string
ip
string
locationAttributes
object
city
string
country
string
state
string
street
string
zipcode
string
name
string
site
object
id
string
type
string
tags
object
key
string
value
string
Responses
200

OK

Expand All
object
authorization
boolean
data
object
id
integer
message
string
name
string
error_code
integer
error_message
string
error_status
boolean
Examplefalse
401

Unauthorized

object
error_code
integer
error_message
string
error_status
boolean
403

Forbidden - Device in pending state

Expand All
object
authorization
boolean
Exampletrue
data
object
message
string
error_code
integer | null
error_message
string | null
error_status
boolean
404

Not Found

Expand All
object
authorization
boolean
Exampletrue
data
object
message
string
error_code
integer | null
error_message
string | null
error_status
boolean
500

Internal Server Error

Expand All
object
authorization
boolean
Exampletrue
data
object
message
string
error_code
integer | null
error_message
string | null
error_status
boolean